> For a complete page index, fetch https://docs.conduit.xyz/llms.txt # eth_getAccount POST https://rpc.plume.org/YOUR_API_KEY Content-Type: application/json Returns the account state object as it lives in the state trie: balance, nonce, codeHash, and storageRoot. Use `eth_getCode` to retrieve the full code by codeHash, and `eth_getStorageAt` to retrieve individual storage slots — this method does not return the full code or storage map. ⚡ Compute Units: [10 CU](https://docs.conduit.xyz/rpc-nodes/information/compute-units) Reference: https://docs.conduit.xyz/rpc-nodes/json-rpc-reference/eth-get-account ## Request ### Body (application/json) This endpoint expects an object. - `address` (string, required) — 20-byte address to get account state for - `blockIdentifier` (BlockNumberOrTagOrHash, required) — Block number, tag, or hash (EIP-1898 object form also accepted). ## Response ### 200 Account state object - `balance` (string, required) — Account balance in wei - `nonce` (string, required) — Number of transactions sent from this account - `codeHash` (string, required) — Keccak-256 hash of the account's code. For EOAs (no code) this is the empty-code hash 0xc5d2460186f7233c927e7db2dcc703c0e500b653ca82273b7bfad8045d85a470. - `storageRoot` (string, required) — Root of the account's storage trie. For accounts with no storage this is the empty-trie root 0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421. ## Types ### BlockNumberOrTagOrHash ## Examples **Request** ```json [ "0x407d73d8a49eeb85d32cf465507dd71d507100c1", "latest" ] ``` **Response** ```json { "id": "1", "jsonrpc": "2.0", "result": { "balance": "0x23c571", "codeHash": "0xc5d2460186f7233c927e7db2dcc703c0e500b653ca82273b7bfad8045d85a470", "nonce": "0x0", "storageRoot": "0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421" } } ``` **SDK Code** ```python import requests url = "https://rpc.plume.org/YOUR_API_KEY" payload = ["0x407d73d8a49eeb85d32cf465507dd71d507100c1", "latest"] headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://rpc.plume.org/YOUR_API_KEY'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '["0x407d73d8a49eeb85d32cf465507dd71d507100c1","latest"]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://rpc.plume.org/YOUR_API_KEY" payload := strings.NewReader("[\n \"0x407d73d8a49eeb85d32cf465507dd71d507100c1\",\n \"latest\"\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://rpc.plume.org/YOUR_API_KEY") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "[\n \"0x407d73d8a49eeb85d32cf465507dd71d507100c1\",\n \"latest\"\n]" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://rpc.plume.org/YOUR_API_KEY") .header("Content-Type", "application/json") .body("[\n \"0x407d73d8a49eeb85d32cf465507dd71d507100c1\",\n \"latest\"\n]") .asString(); ``` ```php request('POST', 'https://rpc.plume.org/YOUR_API_KEY', [ 'body' => '[ "0x407d73d8a49eeb85d32cf465507dd71d507100c1", "latest" ]', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://rpc.plume.org/YOUR_API_KEY"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n \"0x407d73d8a49eeb85d32cf465507dd71d507100c1\",\n \"latest\"\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["0x407d73d8a49eeb85d32cf465507dd71d507100c1", "latest"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://rpc.plume.org/YOUR_API_KEY")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```